Bug 7647 - Checkout History Sort
Summary: Checkout History Sort
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Srdjan Jankovic
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 5345
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 00:16 UTC by Srdjan Jankovic
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
patch (3.78 KB, patch)
2012-03-06 03:00 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
patch (1.63 KB, patch)
2012-03-29 00:41 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_7647: Table sorter on issue history (1.69 KB, patch)
2012-05-07 16:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2012-03-06 00:16:33 UTC
With popular items the checkout history can be quite long and it is a challenge to sort through and find one libraries history of a book.

Will put a table sorter on the checkout history.
Comment 1 Srdjan Jankovic 2012-03-06 03:00:28 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-03-06 16:42:02 UTC
I don't think we should be adding new instances of the tablesorter plugin when we're trying to switch to DataTables (Bug 5345 - DataTables in Koha).
Comment 3 Srdjan Jankovic 2012-03-29 00:41:18 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2012-05-07 14:41:38 UTC
nengard@kohavm:~/kohaclone$ git bz apply 7647
Bug 7647 - Checkout History Sort

patch
Apply? [yn] y

Applying: bug_7647: Table sorter on issue history
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt:1
error: koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt: patch does not apply
Patch failed at 0001 bug_7647: Table sorter on issue history
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/patch-v09mXq.patch
nengard@kohavm:~/kohaclone$
Comment 5 Jared Camins-Esakov 2012-05-07 16:16:43 UTC
(In reply to comment #4)
> nengard@kohavm:~/kohaclone$ git bz apply 7647
> Bug 7647 - Checkout History Sort
> 
> patch
> Apply? [yn] y
> 
> Applying: bug_7647: Table sorter on issue history
> error: patch failed:
> koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt:1
> error: koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt:
> patch does not apply
> Patch failed at 0001 bug_7647: Table sorter on issue history
> When you have resolved this problem run "git am --resolved".
> If you would prefer to skip this patch, instead run "git am --skip".
> To restore the original branch and stop patching run "git am --abort".
> Patch left in /tmp/patch-v09mXq.patch
> nengard@kohavm:~/kohaclone$

Don't forget to try git am -3. The patch actually applies fine with three-way merge. If you look at the last few lines, it actually gives you a hint of what to do next. You run the following two commands:
git am --abort
git am -3iu /tmp/patch-v09mXq.patch

There's also a patched version of git-bz that takes care of that for you which you could download (I don't recall exactly wherefrom).
Comment 6 Kyle M Hall 2012-05-07 16:21:35 UTC
Created attachment 9438 [details] [review]
bug_7647: Table sorter on issue history

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Ian Walls 2012-05-10 16:53:31 UTC
Adds DataTables to item issue history to be more consistent with what we see on patron checkout history.  Template only, with some javascript libraries.  Marking Passed QA.
Comment 8 Chris Cormack 2012-05-14 21:00:43 UTC
Will be in 3.8.1